
// $Id: ObjectFactory.java,v 1.2 1999/03/22 09:26:52 larsga Exp $

package XSA;

/**
 * This class is used by the XSAEngine to create the objects it needs for its
 * internal operation. It can be subclassed by users which want the XSAEngine
 * to use their own classes internally instead of the default ones.
 */

public class ObjectFactory {

  /**
   * Creates a Vendor object.
   * @param url The URL of the XSA document.
   */

  public Vendor createVendor(String url) {
    return new Vendor(url);
  }

  /**
   * Creates a Product object.
   */

  public Product createProduct() {
    return new Product();
  }
  
}
